Subject: Windows 7 SP1/64b session preferences window crashes on save/close
From: "Larry Battraw -X (lbattraw - INSIGHT GLOBAL INC at Cisco)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 14 Aug 2015 03:01:36 +0000

Package: x2goclient
Version: 4.0.5.0
Client OS: Windows 7 64-bit SP1

Server Info:
x2goserver	4.1.0.0-0~1303~ubuntu14.04.1	amd64
Linux Mint 17.2 Rafaela (GNU/Linux 3.19.8 x86_64)

I installed X2Go for the first time and after saving my session settings it will immediately crash the session preferences window, causing the entire program to be closed after the crash message is dismissed ("x2goclient.exe has stopped working").  It does save the settings successfully before crashing.  This happens whether any settings are changed or if I just click cancel after bring up the session preferences window for the only session profile present.  I'm using: KDE session, SSH port 22, username: lcb, prompt for password (No keys), LAN speed, 16m-jpeg, Quality 8, custom resolution 1680x1050, 90 DPI, Bidirectional copy/paste, and a single shared folder (Downloads).
I tried creating a new session with only a username and host specified and this crashes as well upon saving/cancel.  As long as I don't change session preferences the client works great, no other issues.

Crash detail (Crash dump gzip'd and attached):

Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	x2goclient.exe
  Application Version:	0.0.0.0
  Application Timestamp:	0568c4b8
  Fault Module Name:	x2goclient.exe
  Fault Module Version:	0.0.0.0
  Fault Module Timestamp:	0568c4b8
  Exception Code:	c0000005
  Exception Offset:	0008dba6
  OS Version:	6.1.7601.2.1.0.256.4
  Locale ID:	1033
  Additional Information 1:	0a9e
  Additional Information 2:	0a9e372d3b4ad19135b953a78882e789
  Additional Information 3:	0a9e
  Additional Information 4:	0a9e372d3b4ad19135b953a78882e789

Larry Battraw
Linux Systems Administrator
[email-masked]
Phone: 919-574-9914
Cisco Systems Limited
US
Cisco.com